[#--

    Copyright (c) 2011-present Sonatype, Inc. All rights reserved.
    Includes the third-party code listed at http://links.sonatype.com/products/clm/attributions.
    "Sonatype" is a trademark of Sonatype, Inc.

--]
[#-- @ftlvariable name="action" type="com.sonatype.clm.ci.bamboo.web.admin.ConfigureIqServer" --]
[#-- @ftlvariable name="" type="com.sonatype.clm.ci.bamboo.web.admin.ConfigureIqServer" --]
[#if clmConfiguration??]
  [#assign editMode=true /]
  [#assign cancelUri="/admin/iq/viewIqServer.action" /]
[#else]
  [#assign editMode=false /]
  [#assign cancelUri="/admin/administer.action" /]
[/#if]
<html>
<head>
[@ui.header pageKey="sonatype.clm.configuration" title=true /]
  <meta name="decorator" content="adminpage">
</head>
<body>
[@ww.form action="configureIqServer!save" titleKey="sonatype.clm.configuration.heading"
          descriptionKey="sonatype.clm.configuration.description" submitLabelKey="global.buttons.update"
          cancelUri=cancelUri]

  [@ui.bambooSection titleKey="config.clm.server.title" descriptionKey="config.clm.server.description"]
    [@ww.textfield labelKey="config.clm.server.url" name="serverUrl" required="true" descriptionKey="config.clm.server.url.description" /]
    [@ww.textfield labelKey="config.clm.username" name="username" required="true" descriptionKey="config.clm.username.description" /]
    [#if editMode]
      [@ww.checkbox labelKey="config.clm.user.password.change" toggle="true" id="passwordChange" name="passwordChange" /]
      [@ui.bambooSection dependsOn="passwordChange" showOn="true"]
        [@ww.password labelKey="config.clm.password" name="password" showPassword="true" required="true" /]
      [/@ui.bambooSection]
    [#else]
      [@ww.password labelKey="config.clm.password" name="password" showPassword="true" required="true" /]
    [/#if]
  [/@ui.bambooSection]
[/@ww.form]
</body>
</html>
